Skip to main content
GET
/
discussion
/
v1
/
comments
List comments
curl --request GET \
  --url https://api-{region}.sesametime.com/discussion/v1/comments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "author": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "<string>",
        "lastName": "<string>"
      },
      "thread": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "entityReference": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "plannedTaskId"
      },
      "comment": "comment to create",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

plannedTaskId
string

id of the planned task

commentId
string

id of the comment

threadId
string

id of the comment thread

Response

200 - application/json

Object

data
object[]
meta
object